#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-icon-theme
Version		:	1.28.0
Release		:	17.2.0.rel%{?dist}
Summary		:	MATE icon theme
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	icon-naming-utils
BuildRequires	:	intltool
BuildRequires	:	mate-common

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This package contains the default icon theme used by the MATE desktop

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_datadir}/icons/menta/*/*/*.png
%{_datadir}/icons/menta/index.theme
%{_datadir}/icons/%{shortname}/*/*/*.{icon,png}
%{_datadir}/icons/%{shortname}/scalable/*/*.svg
%{_datadir}/icons/%{shortname}/scalable-up-to-32/status/process-working-symbolic.svg
%{_datadir}/icons/%{shortname}/index.theme

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
#-----------------------------------------------------------------------------
%changelog
